%define upstream_name	 SVG
%define upstream_version 2.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for generating Scalable Vector Graphics (SVG) documents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SVG/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
SVG is a Perl module which generates a nested data structure containing the
DOM representation of an SVG (Scalable Vector Graphics) image. Using SVG, you
can generate SVG objects, embed other SVG instances into it, access the DOM
object, create and access javascript, and generate SMIL animation content.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl -pi -e 's/\cM//' examples/*.{pl,cgi}
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%check
%make test

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/SVG
%{perl_vendorlib}/SVG.pm
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.530.0-2.mga3
+ Revision: 372445
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 2.530.0-1.mga3
+ Revision: 286476
- update to 2.53

* Tue Jun 05 2012 jquelin <jquelin> 2.520.0-1.mga3
+ Revision: 255405
- update to 2.52

* Sat Jan 22 2011 jquelin <jquelin> 2.500.0-1.mga1
+ Revision: 31110
- mageia rebuild
- imported package perl-SVG

